View Issue Details

IDProjectCategoryView StatusLast Update
0001436SketcherFeaturepublic2021-05-25 10:42
Reporterbejant Assigned Toabdullah  
PrioritynormalSeverityfeatureReproducibilityN/A
Status assignedResolutionopen 
Product Version0.13 
Target Version0.20 
Summary0001436: Sketcher: Break a Line and Add a Point onto a Line
DescriptionA forum user requested two new features which seem useful:
1. Break a line into two segments, leaving a gap where the user clicked between the two new segments. I'll add that the default gap should be user selectable.
2. Add a point onto a line.
From the following forum thread:
http://forum.freecadweb.org/viewtopic.php?f=8&t=5928#p47176
Additional InformationFeature request #1 reminds me of a little lisp routine named brk.lsp that I used to use daily in AutoCAD. I did a web search and believe the following code is the proper routine, maybe it will be of help (or maybe not).

(defun c:brk(/ os pt1 pt2)
  (setvar "CMDECHO" 0)
  (setq os (getvar "osmode"))
  (setvar "osmode" 512)
  (setq pt1 (getpoint "\nPick object to be broken : "))
  (setvar "osmode" 33)
  (setq pt2 (getpoint "\nBreak point : "))
  (setvar "osmode" 0)
  (command "break" pt1 "f" pt2 "@")
  (setvar "osmode" os)
  (princ)
)
TagsNo tags attached.
FreeCAD Information

Activities

aviket

2021-05-25 10:42

reporter   ~0015677

This feature is already partially present in draft module of 0.19

yorik

2022-03-03 13:55

administrator   ~0016419

This ticket has been migrated to GitHub as issue 5584.

Issue History

Date Modified Username Field Change
2014-02-23 18:03 bejant New Issue
2015-09-10 13:13 abdullah Assigned To => abdullah
2015-09-10 13:13 abdullah Status new => assigned
2018-10-06 15:13 abdullah Target Version => 0.19
2020-11-09 18:09 abdullah Target Version 0.19 => 0.20
2021-02-06 05:55 abdullah Target Version => 0.20
2021-05-25 10:42 aviket Note Added: 0015677